Subject: Re: IPv6 default routes timing out?

From: Roland Dreier <[email-masked]>
Date: Thu, 30 Jul 2009 13:58:25 -0700

> Note that these are actually multicasts, not broadcasts.  There's not
 > much difference on the sending end, but on the receiving end there's
 > usually filtering at the NIC level that doesn't apply to broadcasts.
 > 
 > That's why I'm a little bit suspicious of the laptop end of your
 > connection.  It's not uncommon for multicast to be broken in various
 > ways without people noticing, because they don't use it very much on
 > IPv4.  However, it's fundamental to IPv6.

Fair enough ... however, given that two independent laptops (using two
different wireless drivers / kernel versions) stop getting the router
advertisements (which are, as you said, multicast to the all nodes
address, not truly broadcast) at the same time, and given that
bouncing the driver on the sender (openbsd router) fixes things, I'm
much more likely to blame the sender in this case.